/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.bhie.beans;

import com.fasterxml.jackson.annotation.JsonProperty;

public class Error {
    @JsonProperty("ErrorSeverity")
    private String errorSeverity;
    @JsonProperty("ErrorCode")
    private String errorCode;
    @JsonProperty("ErrorValue")
    private String errorValue;
    @JsonProperty("ErrorLocation")
    private String errorLocation;
    /**
     * @return the errorSeverity
     */
    public String getErrorSeverity() {
        return errorSeverity;
    }
    /**
     * @param errorSeverity the errorSeverity to set
     */
    public void setErrorSeverity(String errorSeverity) {
        this.errorSeverity = errorSeverity;
    }
    /**
     * @return the errorCode
     */
    public String getErrorCode() {
        return errorCode;
    }
    /**
     * @param errorCode the errorCode to set
     */
    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }
    /**
     * @return the errorValue
     */
    public String getErrorValue() {
        return errorValue;
    }
    /**
     * @param errorValue the errorValue to set
     */
    public void setErrorValue(String errorValue) {
        this.errorValue = errorValue;
    }
    /**
     * @return the errorLocation
     */
    public String getErrorLocation() {
        return errorLocation;
    }
    /**
     * @param errorLocation the errorLocation to set
     */
    public void setErrorLocation(String errorLocation) {
        this.errorLocation = errorLocation;
    }
}
