package gov.va.med.bhie.beans;

/**
 * Snareworks user bean.
 * 
 * @author <a href="mailto:kweller@hawaiirg.com">kweller</a>
 * @version 1.0
 *
 */
public class SnareUser {

    /**
     * Account is valid.
     */
    private boolean valid;
    
    /**
     * Groups user belongs to.
     */
    private String groups = "";
    
    /**
     * Roles user holds.
     */
    private String roles = "";
    
    /**
     * Numeric concept identifier (NCID).
     */
    private String ncid = "";
    
    /**
     * Common name.
     */
    private String cn = "";
    
    /**
     * Surname.
     */
    private String sn = "";

    /**
     * Given name.
     */
    private String givenname = "";
    
    /**
     * User ID.
     */
    private String uid = "";
    
    /**
     * Snareworks message.
     */
    private String snareMessage = "";

    /**
     * @return the valid
     */
    public boolean isValid() {
        return valid;
    }
    /**
     * @param valid the valid to set
     */
    public void setValid(boolean valid) {
        this.valid = valid;
    }
    /**
     * @return the groups
     */
    public String getGroups() {
        return groups;
    }
    /**
     * @param groups the groups to set
     */
    public void setGroups(String groups) {
        this.groups = groups;
    }
    /**
     * @return the roles
     */
    public String getRoles() {
        return roles;
    }
    /**
     * @param roles the roles to set
     */
    public void setRoles(String roles) {
        this.roles = roles;
    }
    /**
     * @return the ncid
     */
    public String getNcid() {
        return ncid;
    }
    /**
     * @param ncid the ncid to set
     */
    public void setNcid(String ncid) {
        this.ncid = ncid;
    }
    /**
     * @return the cn
     */
    public String getCn() {
        return cn;
    }
    /**
     * @param cn the cn to set
     */
    public void setCn(String cn) {
        this.cn = cn;
    }
    /**
     * @return the sn
     */
    public String getSn() {
        return sn;
    }
    /**
     * @param sn the sn to set
     */
    public void setSn(String sn) {
        this.sn = sn;
    }
    /**
     * @return the givenname
     */
    public String getGivenname() {
        return givenname;
    }
    /**
     * @param givenname the givenname to set
     */
    public void setGivenname(String givenname) {
        this.givenname = givenname;
    }
    /**
     * @return the uid
     */
    public String getUid() {
        return uid;
    }
    /**
     * @param uid the uid to set
     */
    public void setUid(String uid) {
        this.uid = uid;
    }
    /**
     * @param snareMessage the snareMessage to set
     */
    public void setSnareMessage(String snareMessage) {
        this.snareMessage = snareMessage;
    }
    /**
     * @return the snareMessage
     */
    public String getSnareMessage() {
        return snareMessage;
    }
}
