package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;
//import org.codehaus.jackson.annotate.JsonIgnoreProperties;
////import org.codehaus.jackson.annotate.JsonProperty;

@JsonIgnoreProperties(ignoreUnknown = true)
public class AllergyV4 {
    @JsonProperty("allergen") //
    private List<SPDCBeanV4> allergen;
    @JsonProperty("comment") //
    private String comment;
    //    @JsonProperty("dataDomain") //
//    private List<SPDCBeanV4> dataDomain; 
    @JsonProperty("enteredBy") //
    private ProviderV4 enteredBy;
    @JsonProperty("enteredDate") //
    private DateRangeV4 enteredDate;
    @JsonProperty("facility") //
    private RepositoryV4 facility;
    @JsonProperty("narrativeId") //
    private String narrativeId;
    @JsonProperty("notedDate") //
    private DateRangeV4 notedDate;
    @JsonProperty("onsetDate") //
    private DateRangeV4 onsetDate;
    @JsonProperty("reactions") //
    private List<ReactionV4> reactions;
    @JsonProperty("recordId") //
    private RecordIdentifierV4 recordId;
    @JsonProperty("repository") //
    private RepositoryV4 repository;
    //    @JsonProperty("resolvedDate") //
//    private String resolvedDate;
    @JsonProperty("severity") //
    private List<SPDCBeanV4> severity;
    //    @JsonProperty("sourceOfInfo") //
//    private List<SPDCBeanV4> sourceOfInfo;
    @JsonProperty("textDescription") //
    private String textDescription;
//    @JsonProperty("type") //
//    private List<SPDCBeanV4> type;

    /**
     * @return the allergen
     */
    public List<SPDCBeanV4> getAllergen() {
        return allergen;
    }

    /**
     * @param allergen the allergen to set
     */
    public void setAllergen(List<SPDCBeanV4> allergen) {
        this.allergen = allergen;
    }

    /**
     * @return the facility
     */
    public RepositoryV4 getFacility() {
        return facility;
    }

    /**
     * @param facility the facility to set
     */
    public void setFacility(RepositoryV4 facility) {
        this.facility = facility;
    }

    /**
     * @return the reactions
     */
    public List<ReactionV4> getReactions() {
        return reactions;
    }

    /**
     * @param reactions the reactions to set
     */
    public void setReactions(List<ReactionV4> reactions) {
        this.reactions = reactions;
    }

    /**
     * @return the recordId
     */
    public RecordIdentifierV4 getRecordId() {
        return recordId;
    }

    /**
     * @param recordId the recordId to set
     */
    public void setRecordId(RecordIdentifierV4 recordId) {
        this.recordId = recordId;
    }

    /**
     * @return the repository
     */
    public RepositoryV4 getRepository() {
        return repository;
    }

    /**
     * @param repository the repository to set
     */
    public void setRepository(RepositoryV4 repository) {
        this.repository = repository;
    }

    /**
     * @return the severity
     */
    public List<SPDCBeanV4> getSeverity() {
        return severity;
    }

    /**
     * @param severity the severity to set
     */
    public void setSeverity(List<SPDCBeanV4> severity) {
        this.severity = severity;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public ProviderV4 getEnteredBy() {
        return enteredBy;
    }

    public void setEnteredBy(ProviderV4 enteredBy) {
        this.enteredBy = enteredBy;
    }

    public String getNarrativeId() {
        return narrativeId;
    }

    public void setNarrativeId(String narrativeId) {
        this.narrativeId = narrativeId;
    }

    public DateRangeV4 getEnteredDate() {
        return enteredDate;
    }

    public void setEnteredDate(DateRangeV4 enteredDate) {
        this.enteredDate = enteredDate;
    }

    public DateRangeV4 getOnsetDate() {
        return onsetDate;
    }

    public void setOnsetDate(DateRangeV4 onsetDate) {
        this.onsetDate = onsetDate;
    }

    public DateRangeV4 getNotedDate() {
        return notedDate;
    }

    public void setNotedDate(DateRangeV4 notedDate) {
        this.notedDate = notedDate;
    }

    public String getTextDescription() {
        return textDescription;
    }

    public void setTextDescription(String textDescription) {
        this.textDescription = textDescription;
    }
}
