package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

/**
 * Created by melcolm on 6/18/15.
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class ExamV4 {
    @JsonProperty("date")
    private DateRangeV4 date;
    @JsonProperty("examNumber")
    private RecordIdentifierV4 examNumber;
    @JsonProperty("type")
    private List<SPDCBeanV4> type;

    public DateRangeV4 getDate() {
        return date;
    }

    public void setDate(DateRangeV4 date) {
        this.date = date;
    }

    public RecordIdentifierV4 getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(RecordIdentifierV4 examNumber) {
        this.examNumber = examNumber;
    }

    public List<SPDCBeanV4> getType() {
        return type;
    }

    public void setType(List<SPDCBeanV4> type) {
        this.type = type;
    }
}

