package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

////import org.codehaus.jackson.annotate.JsonProperty;

public class PatientManagementV4 {
    @JsonProperty("dataDomain") //
    private List<SPDCBeanV4> dataDomain;
    @JsonProperty("enteredBy") //
    private ProviderV4 enteredBy;
    @JsonProperty("enteredDate") //
    private DateRangeV4 enteredDate;
    @JsonProperty("facility") //
    private RepositoryV4 facility;
    @JsonProperty("recordId")
    private RecordIdentifierV4 recordId;
    @JsonProperty("modifiedBy") //
    private ProviderV4 modifiedBy;
    @JsonProperty("modifiedDate") //
    private DateRangeV4 modifiedDate;
    @JsonProperty("narrativeId") //
    private String narrativeId;
    @JsonProperty("repository") //
    private RepositoryV4 repository;
    @JsonProperty("flags")
    private List<FlagV4> flags;

    public List<SPDCBeanV4> getDataDomain() {
        return dataDomain;
    }

    public void setDataDomain(List<SPDCBeanV4> dataDomain) {
        this.dataDomain = dataDomain;
    }

    public ProviderV4 getEnteredBy() {
        return enteredBy;
    }

    public void setEnteredBy(ProviderV4 enteredBy) {
        this.enteredBy = enteredBy;
    }

    public DateRangeV4 getEnteredDate() {
        return enteredDate;
    }

    public void setEnteredDate(DateRangeV4 enteredDate) {
        this.enteredDate = enteredDate;
    }

    public RepositoryV4 getFacility() {
        return facility;
    }

    public void setFacility(RepositoryV4 facility) {
        this.facility = facility;
    }

    public RecordIdentifierV4 getRecordId() {
        return recordId;
    }

    public void setRecordId(RecordIdentifierV4 recordId) {
        this.recordId = recordId;
    }

    public ProviderV4 getModifiedBy() {
        return modifiedBy;
    }

    public void setModifiedBy(ProviderV4 modifiedBy) {
        this.modifiedBy = modifiedBy;
    }

    public DateRangeV4 getModifiedDate() {
        return modifiedDate;
    }

    public void setModifiedDate(DateRangeV4 modifiedDate) {
        this.modifiedDate = modifiedDate;
    }

    public String getNarrativeId() {
        return narrativeId;
    }

    public void setNarrativeId(String narrativeId) {
        this.narrativeId = narrativeId;
    }

    public RepositoryV4 getRepository() {
        return repository;
    }

    public void setRepository(RepositoryV4 repository) {
        this.repository = repository;
    }

    public List<FlagV4> getFlags() {
        return flags;
    }

    public void setFlags(List<FlagV4> flags) {
        this.flags = flags;
    }
}
