package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

//import org.codehaus.jackson.annotate.JsonProperty;

public class ProviderV4 {
    @JsonProperty("ids")
    private List<RecordIdentifierV4> ids;
    @JsonProperty("name")
    private String name;
    @JsonProperty("taxonomy")
    private List<SPDCBeanV4> taxonomy;
    @JsonProperty("address")
    private AddressV4 address;
    @JsonProperty("telecoms")
    private List<TelecomV4> telecoms;

    /**
     * @return the id
     */
    public List<RecordIdentifierV4> getIds() {
        return ids;
    }
    /**
     * @param ids the ids to set
     */
    public void setIds(List<RecordIdentifierV4> ids) {
        this.ids = ids;
    }
    /**
     * @return the name
     */
    public String getName() {
        return name;
    }
    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }
    /**
     * @return the taxonomy
     */
    public List<SPDCBeanV4> getTaxonomy() {
        return taxonomy;
    }
    /**
     * @param taxonomy the taxonomy to set
     */
    public void setTaxonomy(List<SPDCBeanV4> taxonomy) {
        this.taxonomy = taxonomy;
    }

    public AddressV4 getAddress() {
        return address;
    }

    public void setAddress(AddressV4 address) {
        this.address = address;
    }

    public List<TelecomV4> getTelecoms() {
        return telecoms;
    }

    public void setTelecoms(List<TelecomV4> telecoms) {
        this.telecoms = telecoms;
    }
}
