package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

//import org.codehaus.jackson.annotate.JsonIgnoreProperties;
//import org.codehaus.jackson.annotate.JsonProperty;

@JsonIgnoreProperties(ignoreUnknown = true)
public class SponsorV4 {
    @JsonProperty("branch")
    private List<SPDCBeanV4> branch;
    @JsonProperty("rank")
    private List<SPDCBeanV4> rank;
    @JsonProperty("ssn")
    private String ssn;
    @JsonProperty("assignedUnit")
    private RepositoryV4 assignedUnit;
    @JsonProperty("name")
    private NameV4 name;
    /**
     * @return the branch
     */
    public List<SPDCBeanV4> getBranch() {
        return branch;
    }
    /**
     * @param branch the branch to set
     */
    public void setBranch(List<SPDCBeanV4> branch) {
        this.branch = branch;
    }
    /**
     * @return the rank
     */
    public List<SPDCBeanV4> getRank() {
        return rank;
    }
    /**
     * @param rank the rank to set
     */
    public void setRank(List<SPDCBeanV4> rank) {
        this.rank = rank;
    }
    /**
     * @return the ssn
     */
    public String getSsn() {
        return ssn;
    }
    /**
     * @param ssn the ssn to set
     */
    public void setSsn(String ssn) {
        this.ssn = ssn;
    }
    /**
     * @return the assignedUnit
     */
    public RepositoryV4 getAssignedUnit() {
        return assignedUnit;
    }
    /**
     * @param assignedUnit the assignedUnit to set
     */
    public void setAssignedUnit(RepositoryV4 assignedUnit) {
        this.assignedUnit = assignedUnit;
    }
    /**
     * @return the name
     */
    public NameV4 getName() {
        return name;
    }
    /**
     * @param name the name to set
     */
    public void setName(NameV4 name) {
        this.name = name;
    }

}
