package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

//import org.codehaus.jackson.annotate.JsonIgnoreProperties;
//import org.codehaus.jackson.annotate.JsonProperty;

@JsonIgnoreProperties(ignoreUnknown = true)
public class VitalV4 {
    @JsonProperty("comment") //
    private String comment;
    @JsonProperty("facility") //
    private RepositoryV4 facility;
    @JsonProperty("recordId") //
    private RecordIdentifierV4 recordId;    
    @JsonProperty("repository") //
    private RepositoryV4 repository;
    @JsonProperty("results") //
    private List<VitalsResultV4> results;
    @JsonProperty("narrativeId")
    private String narrativeId;
    @JsonProperty("modifiedBy") //
    private ProviderV4 modifiedBy;
    @JsonProperty("modifiedDate") //
    private DateRangeV4 modifiedDate;

    /**
     * @return the comment
     */
    public String getComment() {
        return comment;
    }
    /**
     * @param comment the comment to set
     */
    public void setComment(String comment) {
        this.comment = comment;
    }
    /**
     * @return the facility
     */
    public RepositoryV4 getFacility() {
        return facility;
    }
    /**
     * @param facility the facility to set
     */
    public void setFacility(RepositoryV4 facility) {
        this.facility = facility;
    }
    /**
     * @return the recordId
     */
    public RecordIdentifierV4 getRecordId() {
        return recordId;
    }
    /**
     * @param recordId the recordId to set
     */
    public void setRecordId(RecordIdentifierV4 recordId) {
        this.recordId = recordId;
    }
    /**
     * @return the repository
     */
    public RepositoryV4 getRepository() {
        return repository;
    }
    /**
     * @param repository the repository to set
     */
    public void setRepository(RepositoryV4 repository) {
        this.repository = repository;
    }
    /**
     * @return the results
     */
    public List<VitalsResultV4> getResults() {
        return results;
    }
    /**
     * @param results the results to set
     */
    public void setResults(List<VitalsResultV4> results) {
        this.results = results;
    }

    /**
     * @return the narrative id
     */
    public String getNarrativeId() {
        return narrativeId;
    }

    /**
     * @param narrativeId the narrative id to set
     */
    public void setNarrativeId(String narrativeId) {
        this.narrativeId = narrativeId;
    }

    /**
     * @return the modifiedBy Provider
     */
    public ProviderV4 getModifiedBy() {
        return modifiedBy;
    }
    /**
     * @param modifiedBy the provider to set
     */
    public void setModifiedBy(ProviderV4 modifiedBy) {
        this.modifiedBy = modifiedBy;
    }

    /**
     * @return the modfiedDate
     */
    public DateRangeV4 getModifiedDate() {
        return modifiedDate;
    }
    /**
     * @param modifiedDate the modfied Date to set
     */
    public void setModifiedDate(DateRangeV4 modifiedDate) {
        this.modifiedDate = modifiedDate;
    }
}
