import grails.util.Metadata
import jlv.WhiteListOnlyLoginController

class UrlMappings {

    static mappings = {

        if (WhiteListOnlyLoginController.JLV_WHITE_LIST_ONLY_APP_NAME.equals(Metadata.current.getApplicationName())) {
            "/"(controller: "whiteListOnlyLogin", action: "login")
        } else {
            "/"(controller: "authenticate", action: "login")
        }

        /** fix for oracle weblogic 10.3.4 **/
        "/index.gsp"(controller: "authenticate", action: "login")

        "/$controller/$action?/$id?(.$format)?" {
            constraints {
                // apply constraints here
            }
        }

        "403"(view: '/sslError')

        "500"(view: '/error')
    }
}
