<div id="btgWindowVHA" class="appkit-dialog jlv-break-the-glass"
     data-title="VA User Restricted Access"
     data-width="625"
     data-height="445"
     data-resizable="true"
     data-modal="true"
     data-outlet="JLV.BreakTheGlass.VHAController.dialog"
     data-delegate="JLV.BreakTheGlass.VHAController"
     data-visible="false">

    <div class="icon-alert-warning big-warning"></div>

    <div>
        <h4>This patient is NOT a registered VA Patient.<br/>Select an authorized purpose for accessing this DoD record.
        </h4>

        <form>
            <input type="radio" data-label="Emergent Care" id="btgEmergentCareRadioBtn" name="btgAuthPurposeRadioGrp"
                   value="1" checked/>
            <label for="btgEmergentCareRadioBtn">Emergent Care</label> <br/>
            <input type="radio" data-label="Clinical Care" id="btgClinCareRadioBtn" name="btgAuthPurposeRadioGrp"
                   value="2"/>
            <label for="btgClinCareRadioBtn">Clinical Care</label><br/>
            <input type="radio" data-label="Authorized Administrative Use" id="btgAuthAdminUseRadioBtn"
                   name="btgAuthPurposeRadioGrp" value="3"/>
            <label for="btgAuthAdminUseRadioBtn">Authorized Administrative Use <br/> <span
                    style="font-style: italic;margin-left:30px;">i.e. claim processing</span></label>

        </form> <br/>

        <div style="margin:15px;">
            Your access to this DoD patient record will be recorded and audited by the
            Department of Defense. Unauthorized access may result in disciplinary actions
            to include termination of employment.

        </div>

        <table>
            <tr><td>Organization:</td> <td class="btgOrgTxt">VHA</td></tr>
            <tr><td>Username:</td> <td class="btgProvNameTxt"></td></tr>
            <tr><td>Date/Time:</td> <td class="btgDateTxt"></td></tr>
            <tr><td>IP Address:</td> <td class="btgIPTxt"></td></tr>

        </table>

    </div>

    <div class="appkit-button cancel-btn"
         data-action="JLV.BreakTheGlass.VHAController.close"
         data-type="primary">Cancel</div>

    <div class="appkit-button ok-btn"
         data-action="JLV.BreakTheGlass.VHAController.agree">Agree to be Audited & Access this Patient Record</div>

</div>