<!-- settings dialog -->

<div id="JLVSettingsDialog" class="appkit-dialog" data-title="JLV Settings"
     data-resizable="false"
     data-modal="true"
     data-width="560"
     data-height="320"
     data-delegate="JLV.SettingsController"
     data-outlet="JLV.SettingsController.dialog">
    <div>
        <label>Select Theme</label>

        <div class="jlv-radio-group">
            <input type="radio" id="JLVThemeDefaultRadio" name="theme" value="default"/>
            <label for="JLVThemeDefaultRadio">Default</label>

            <input type="radio" id="JLVThemeGreenRadio" name="theme" value="green"/>
            <label for="JLVThemeGreenRadio">Green</label>

            <input type="radio" id="JLVThemeBlueRadio" name="theme" value="blue"/>
            <label for="JLVThemeBlueRadio">Blue</label>

            <input type="radio" id="JLVThemeGrayRadio" name="theme" value="gray"/>
            <label for="JLVThemeGrayRadio">Gray</label>
            <input type="radio" id="JLVThemeAccessibleRadio" name="theme" value="accessible"/>
            <label for="JLVThemeAccessibleRadio">Accessible</label>

        </div>


    </div>

    <!-- <div style="margin:16px 0 16px 0">
        <label>Widget Menu Orientation</label>

        <div class="jlv-radio-group">
            <input type="radio" id="JLVThemeMenuOrientationBottom" name="menuOrientation" value="bottom"/>
            <label for="JLVThemeMenuOrientationBottom">Bottom</label>
            <input type="radio" id="JLVThemeMenuOrientationRight" name="menuOrientation" value="right"/>
            <label for="JLVThemeMenuOrientationRight">Right</label>
        </div>
    </div> -->


    <div id="CommunityDataDisplaySetting" style="margin:16px 0 16px 0">
        <label>Community Data Display</label>

        <div class="jlv-radio-group">
            <input type="checkbox" id="dodVLERCheckbox" name="dodVLER"/>
            <label for="dodVLERCheckbox" id="dodVLERCheckboxLabel">Include DoD Community Data</label>

            <input type="checkbox" id="dasVLERCheckbox" name="dasVLER"/>
            <label for="dasVLERCheckbox" id="dasVLERCheckboxLabel">Include VA Community Data</label>
        </div>
    </div>

    <%
        if(!"true".equalsIgnoreCase(grailsApplication.config.grails.enableDAS))
        {
    %>
    <script>
        dasVLER = false;

        setTimeout(function () {
            $('#dasVLERCheckbox').hide();
            $('#dasVLERCheckboxLabel').hide();
        }, 5);
    </script>
    <%
        }
    %>

    <div class="appkit-button add-btn" data-type="primary" data-action="JLV.SettingsController.apply">Save</div>

    <div class="appkit-button cancel-btn" data-action="JLV.SettingsController.hide">Cancel</div>
</div>