/*
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *             Honorable Senator Daniel K. Inouye
 *             VA Pacific Islands Health Care System
 *             Tripler Army Medical Center
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at:
 *
 *            http://www.apache.org/licenses/LICENSE-2.0.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */


package gov.va.med.guibeans;


import java.io.Serializable;

public class GUIMedWebAccess implements Serializable {
    public static final long serialVersionUID = 100;

    private String accessionNumber;
    private String aeTitle;
    private String medWebUrl;
    private String medWebUserName;
    private String medWebPassword;

    public String getAccessionNumber() {
        return accessionNumber;
    }

    public void setAccessionNumber(String accessionNumber) {
        this.accessionNumber = accessionNumber;
    }

    public String getAeTitle() {
        return aeTitle;
    }

    public void setAeTitle(String aeTitle) {
        this.aeTitle = aeTitle;
    }

    public String getMedWebUrl() {
        return medWebUrl;
    }

    public void setMedWebUrl(String medWebUrl) {
        this.medWebUrl = medWebUrl;
    }

    public String getMedWebUserName() {
        return medWebUserName;
    }

    public void setMedWebUserName(String medWebUserName) {
        this.medWebUserName = medWebUserName;
    }

    public String getMedWebPassword() {
        return medWebPassword;
    }

    public void setMedWebPassword(String medWebPassword) {
        this.medWebPassword = medWebPassword;
    }
}
