package gov.va.med.guibeans;

import java.util.List;

public class GUIProcedure extends GUIBean {
    private String code;
    private String codeSystem;
    private String codingStatus;
    private String comment;

    private String date;
    private String description;
    private String encounterName;
    private String location;
    private GUIProvider provider;
    private String status;
    private List<GUIEncounterDocument> documents;
    private String complexDataUrl;
    private boolean noteAsBinaryStream;
    private boolean vaNote;
    private boolean hasImage;
    private GUIVixStudy vixStudy;

    public GUIProcedure() {
    }

    public String getCode() {
        return this.code;
    }

    public void setCode(String var1) {
        this.code = var1;
    }

    public String getCodeSystem() {
        return this.codeSystem;
    }

    public void setCodeSystem(String var1) {
        this.codeSystem = var1;
    }

    public String getComment() {
        return this.comment;
    }

    public void setComment(String var1) {
        this.comment = var1;
    }

    public String getDate() {
        return this.date;
    }

    public void setDate(String var1) {
        this.date = var1;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(String var1) {
        this.description = var1;
    }

    public String getEncounterName() {
        return this.encounterName;
    }

    public void setEncounterName(String var1) {
        this.encounterName = var1;
    }

    public String getLocation() {
        return this.location;
    }

    public void setLocation(String var1) {
        this.location = var1;
    }

    public GUIProvider getProvider() {
        return this.provider;
    }

    public void setProvider(GUIProvider var1) {
        this.provider = var1;
    }

    public String getStatus() {
        return this.status;
    }

    public void setStatus(String var1) {
        this.status = var1;
    }

    public String getCodingStatus() {
        return codingStatus;
    }

    public void setCodingStatus(String codingStatus) {
        this.codingStatus = codingStatus;
    }

    public List<GUIEncounterDocument> getDocuments() {
        return documents;
    }

    public void setDocuments(List<GUIEncounterDocument> documents) {
        this.documents = documents;
    }

    public String getComplexDataUrl() {
        return complexDataUrl;
    }

    public void setComplexDataUrl(String complexDataUrl) {
        this.complexDataUrl = complexDataUrl;
    }

    public boolean isNoteAsBinaryStream() {
        return noteAsBinaryStream;
    }

    public void setNoteAsBinaryStream(boolean noteAsBinaryStream) {
        this.noteAsBinaryStream = noteAsBinaryStream;
    }

    public boolean isVaNote() {
        return vaNote;
    }

    public void setVaNote(boolean vaNote) {
        this.vaNote = vaNote;
    }

    public GUIVixStudy getVixStudy() {
        return vixStudy;
    }

    public void setVixStudy(GUIVixStudy vixStudy) {
        this.vixStudy = vixStudy;
    }

    public boolean isHasImage() {
        return hasImage;
    }

    public void setHasImage(boolean hasImage) {
        this.hasImage = hasImage;
    }
}
