/*
 * Janus 4.0 (c)
 * Copyright (c) 2013 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.guibeans;

import java.io.Serializable;
import java.util.List;

public class GUISite implements Serializable {
    public static final long serialVersionUID = 100;

    private Integer id;
    private String moniker;
    private String name;
    private String agency;
    private String siteCode;
    private GUIRegion region;
    private String dmisId;
    private String status;
    private List<GUIEndpoint> endpoints;
    private List<GUIPermission> permissions;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getMoniker() {
        return moniker;
    }

    public void setMoniker(String moniker) {
        this.moniker = moniker;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAgency() {
        return agency;
    }

    public void setAgency(String agency) {
        this.agency = agency;
    }

    public String getSiteCode() {
        return siteCode;
    }

    public void setSiteCode(String siteCode) {
        this.siteCode = siteCode;
    }

    public GUIRegion getRegion() {
        return region;
    }

    public void setRegion(GUIRegion region) {
        this.region = region;
    }

    public List<GUIEndpoint> getEndpoints() {
        return endpoints;
    }

    public void setEndpoints(List<GUIEndpoint> endpoints) {
        this.endpoints = endpoints;
    }

    public String getDmisId() {
        return dmisId;
    }

    public void setDmisId(String dmisId) {
        this.dmisId = dmisId;
    }

    public List<GUIPermission> getPermissions() {
        return permissions;
    }

    public void setPermissions(List<GUIPermission> permissions) {
        this.permissions = permissions;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
