/*
 * Janus 4.0 (c)
 * Copyright (c) 2012 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.jmeadows.common;

import gov.va.med.vds.webservice.User;

/**
 * Created with IntelliJ IDEA.
 * User: vhahonishihj
 * Date: 11/21/12
 * Time: 8:09 AM
 * To change this template use File | Settings | File Templates.
 */
public class PDWSQueryBean
{
    private User user;
    private String requestingApp;

    // Required search attributes
    private String patientId;
    private String patientIdType;
    private String firstName;
    private String lastName;
    private String dob;
    private String gender;

    public PDWSQueryBean()
    {
    }

    public User getUser()
    {
        return user;
    }

    public void setUser(User user)
    {
        this.user = user;
    }

    public String getRequestingApp()
    {
        return requestingApp;
    }

    public void setRequestingApp(String requestingApp)
    {
        this.requestingApp = requestingApp;
    }

    public String getPatientId()
    {
        return patientId;
    }

    public void setPatientId(String patientId)
    {
        this.patientId = patientId;
    }

    public String getPatientIdType()
    {
        return patientIdType;
    }

    public void setPatientIdType(String patientIdType)
    {
        this.patientIdType = patientIdType;
    }

    public String getFirstName()
    {
        return firstName;
    }

    public void setFirstName(String firstName)
    {
        this.firstName = firstName;
    }

    public String getLastName()
    {
        return lastName;
    }

    public void setLastName(String lastName)
    {
        this.lastName = lastName;
    }

    public String getDob()
    {
        return dob;
    }

    public void setDob(String dob)
    {
        this.dob = dob;
    }

    public String getGender()
    {
        return gender;
    }

    public void setGender(String gender)
    {
        this.gender = gender;
    }
}
