package gov.va.med.rpc;

import java.util.List;

public interface VistaQuery {
    int LITERAL = 1;
    int REFERENCE = 2;
    int LIST = 3;

    @Override
    String toString();

    List<VistaQueryParameter> getVistaQueryParameters();

    void setVistaQueryParameters(List<VistaQueryParameter> vistaQueryParameters);

    String getRpcName();

    void setRpcName(String rpcName);

    void addParameter(int type, String value);

    void addParameter(int type, String value, String text);

    void addParameter(int type, DictionaryHashList lst);

    void addEncryptedParameter(int type, String value);

    String buildMessage();

    String encrypt(String inString);

}
