package gov.va.med.vds.das.beans;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;


@JsonIgnoreProperties(ignoreUnknown = true)
public class Condition extends Resource{
    @JsonProperty("clinicalStatus")
    private String clinicalStatus;
    @JsonProperty("status")
    private String status;
    @JsonProperty("code")
    private CodedObject condition;
    @JsonProperty("onsetDateTime")
    private String onsetDateTime;
    @JsonProperty("dateAsserted")
    private String dateAsserted;
    @JsonProperty("abatementDate")
    private String abatementDate;

    public String getClinicalStatus() {
        return clinicalStatus;
    }

    public void setClinicalStatus(String clinicalStatus) {
        this.clinicalStatus = clinicalStatus;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public CodedObject getCondition() {
        return condition;
    }

    public void setCondition(CodedObject condition) {
        this.condition = condition;
    }

    public String getOnsetDateTime() {
        return onsetDateTime;
    }

    public void setOnsetDateTime(String onsetDateTime) {
        this.onsetDateTime = onsetDateTime;
    }

    public String getDateAsserted() {
        return dateAsserted;
    }

    public void setDateAsserted(String dateAsserted) {
        this.dateAsserted = dateAsserted;
    }
}
