package gov.va.med.vds.das.beans;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;


@JsonIgnoreProperties(ignoreUnknown = true)
public class Procedure extends Resource{
    @JsonProperty("performedDateTime")
    private String performedDateTime;
    @JsonProperty("performer")
    private List<Performer> performer;
    @JsonProperty("procedure")
    private ProcObj procedure;
    @JsonProperty("location")
    private List<Entity> location;

    public String getPerformedDateTime() {
        return performedDateTime;
    }

    public void setPerformedDateTime(String performedDateTime) {
        this.performedDateTime = performedDateTime;
    }

    public List<Performer> getPerformer() {
        return performer;
    }

    public void setPerformer(List<Performer> performer) {
        this.performer = performer;
    }

    public ProcObj getProcedure() {
        return procedure;
    }

    public void setProcedure(ProcObj procedure) {
        this.procedure = procedure;
    }

    public List<Entity> getLocation() {
        return location;
    }

    public void setLocation(List<Entity> location) {
        this.location = location;
    }

    @JsonIgnoreProperties(ignoreUnknown = true)
    public class ProcObj {
        @JsonProperty("code")
        private CodeObj code;

        public CodeObj getCode() {
            return code;
        }

        public void setCode(CodeObj code) {
            this.code = code;
        }
    }
}
