/*
 * Janus 4.0 (c)
 * Copyright (c) 2013 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.vds.vistabeans;

import gov.va.med.vds.vistabeans.vix.StudyQueryStudy;

public class EncounterDocument extends DataBean {
    private String id;
    private String localTitle;
    private String nationalTitle;
    private String content;
    private String vuid;
    private StudyQueryStudy vixStudy;
    private String images;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLocalTitle() {
        return localTitle;
    }

    public void setLocalTitle(String localTitle) {
        this.localTitle = localTitle;
    }

    public String getNationalTitle() {
        return nationalTitle;
    }

    public void setNationalTitle(String nationalTitle) {
        this.nationalTitle = nationalTitle;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getVuid() {
        return vuid;
    }

    public void setVuid(String vuid) {
        this.vuid = vuid;
    }

    public StudyQueryStudy getVixStudy() {
        return vixStudy;
    }

    public void setVixStudy(StudyQueryStudy vixStudy) {
        this.vixStudy = vixStudy;
    }

    public String getImages() {
        return images;
    }

    public void setImages(String images) {
        this.images = images;
    }
}
