/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */


package gov.va.med.vds.vistabeans;

import java.util.Calendar;


public class FeedBack extends DataBean {
    private String application;
    private String category;
    private String comment;
    private Calendar completed;
    private String email;
    private Calendar entered;
    private String status;
    private String subject;
    private String userID;

    public String getApplication() {
        return application;
    }

    public void setApplication(String newApplication) {
        application = newApplication;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String newCategory) {
        category = newCategory;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String newComment) {
        comment = newComment;
    }

    public Calendar getCompleted() {
        return completed;
    }

    public void setCompleted(Calendar newCompleted) {
        completed = newCompleted;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String newEmail) {
        email = newEmail;
    }

    public Calendar getEntered() {
        return entered;
    }

    public void setEntered(Calendar newEntered) {
        entered = newEntered;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String newStatus) {
        status = newStatus;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String newSubject) {
        subject = newSubject;
    }

    public String getUserID() {
        return userID;
    }

    public void setUserID(String newUserID) {
        userID = newUserID;
    }

}