/*
 * Janus 4.0 (c)
 * Copyright (c) 2015 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.vds.vistabeans;

import java.util.Calendar;

/**
 * Created by sishii on 6/3/15.
 */
public class Flag extends DataBean {
    private String category;
    private String content;
    private String id;
    private String name;
    private String originalSite;
    private String ownerSite;
    private Calendar reviewDue;
    private String type;
    private String approvedBy;
    private Calendar assigned;
    private String documentId;
    private String documentName;
    private String shortName;
    private String comment;

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOriginalSite() {
        return originalSite;
    }

    public void setOriginalSite(String originalSite) {
        this.originalSite = originalSite;
    }

    public String getOwnerSite() {
        return ownerSite;
    }

    public void setOwnerSite(String ownerSite) {
        this.ownerSite = ownerSite;
    }

    public Calendar getReviewDue() {
        return reviewDue;
    }

    public void setReviewDue(Calendar reviewDue) {
        this.reviewDue = reviewDue;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getApprovedBy() {
        return approvedBy;
    }

    public void setApprovedBy(String approvedBy) {
        this.approvedBy = approvedBy;
    }

    public Calendar getAssigned() {
        return assigned;
    }

    public void setAssigned(Calendar assigned) {
        this.assigned = assigned;
    }

    public String getDocumentName() {
        return documentName;
    }

    public void setDocumentName(String documentName) {
        this.documentName = documentName;
    }

    public String getDocumentId() {
        return documentId;
    }

    public void setDocumentId(String documentId) {
        this.documentId = documentId;
    }

    public String getShortName() {
        return shortName;
    }

    public void setShortName(String shortName) {
        this.shortName = shortName;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }
}
