package gov.va.med.vds.vistabeans.vix;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

public class StudyDetailStudy {
    @JsonProperty("contextId")
    private String contextId;
    @JsonProperty("studyId")
    private String studyId;
    @JsonProperty("imageCount")
    private String imageCount;
    @JsonProperty("studyDescription")
    private String studyDescription;
    @JsonProperty("studyDate")
    private String studyDate;
    @JsonProperty("acquisitionDate")
    private String acquisitionDate;
    @JsonProperty("provider")
    private String provider;
    @JsonProperty("status")
    private String status;
    @JsonProperty("series")
    private List<StudyDetailSeries> series;

    public String getContextId() {
        return contextId;
    }

    public void setContextId(String contextId) {
        this.contextId = contextId;
    }

    public String getStudyId() {
        return studyId;
    }

    public void setStudyId(String studyId) {
        this.studyId = studyId;
    }

    public String getImageCount() {
        return imageCount;
    }

    public void setImageCount(String imageCount) {
        this.imageCount = imageCount;
    }

    public String getStudyDescription() {
        return studyDescription;
    }

    public void setStudyDescription(String studyDescription) {
        this.studyDescription = studyDescription;
    }

    public String getStudyDate() {
        return studyDate;
    }

    public void setStudyDate(String studyDate) {
        this.studyDate = studyDate;
    }

    public String getAcquisitionDate() {
        return acquisitionDate;
    }

    public void setAcquisitionDate(String acquisitionDate) {
        this.acquisitionDate = acquisitionDate;
    }

    public String getProvider() {
        return provider;
    }

    public void setProvider(String provider) {
        this.provider = provider;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public List<StudyDetailSeries> getSeries() {
        return series;
    }

    public void setSeries(List<StudyDetailSeries> series) {
        this.series = series;
    }
}
