package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

/**
 * Created by melcolm on 6/18/15.
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class AmendmentV4 {

    @JsonProperty("content")
    private String content;
    @JsonProperty("provider")
    private ProviderV4 provider;
    @JsonProperty("result")
    private List<SPDCBeanV4> result;
    @JsonProperty("verifiedBy")
    private ProviderV4 verifiedBy;
    @JsonProperty("verifiedDate")
    private DateRangeV4 verifiedDate;

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public ProviderV4 getProvider() {
        return provider;
    }

    public void setProvider(ProviderV4 provider) {
        this.provider = provider;
    }

    public List<SPDCBeanV4> getResult() {
        return result;
    }

    public void setResult(List<SPDCBeanV4> result) {
        this.result = result;
    }

    public ProviderV4 getVerifiedBy() {
        return verifiedBy;
    }

    public void setVerifiedBy(ProviderV4 verifiedBy) {
        this.verifiedBy = verifiedBy;
    }

    public DateRangeV4 getVerifiedDate() {
        return verifiedDate;
    }

    public void setVerifiedDate(DateRangeV4 verifiedDate) {
        this.verifiedDate = verifiedDate;
    }
}

