package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

//import org.codehaus.jackson.annotate.JsonProperty;

public class VitalsResultV4 {
    @JsonProperty("bodySite") //
    private List<SPDCBeanV4> bodySite;
    @JsonProperty("comment") //
    private String comment;
    @JsonProperty("endTime") //
    private DateRangeV4 endTime;
    @JsonProperty("enteredBy") //
    private ProviderV4 enteredBy;
    @JsonProperty("modifiers") //
    private List<VitalsResultModifierV4> modifiers;
    @JsonProperty("performedDate") //
    private DateRangeV4 performedDate;
    @JsonProperty("performingProvider") //
    private List<ProviderV4> performingProvider;
    @JsonProperty("startTime") //
    private DateRangeV4 startTime;
    @JsonProperty("test") //
    private VitalsTestV4 test;
    @JsonProperty("uniqueId") //
    private String uniqueId;
    /**
     * @return the bodySite
     */
    public List<SPDCBeanV4> getBodySite() {
        return bodySite;
    }
    /**
     * @param bodySite the bodySite to set
     */
    public void setBodySite(List<SPDCBeanV4> bodySite) {
        this.bodySite = bodySite;
    }
    /**
     * @return the comment
     */
    public String getComment() {
        return comment;
    }
    /**
     * @param comment the comment to set
     */
    public void setComment(String comment) {
        this.comment = comment;
    }
    /**
     * @return the endTime
     */
    public DateRangeV4 getEndTime() {
        return endTime;
    }
    /**
     * @param endTime the endTime to set
     */
    public void setEndTime(DateRangeV4 endTime) {
        this.endTime = endTime;
    }
    /**
     * @return the enteredBy
     */
    public ProviderV4 getEnteredBy() {
        return enteredBy;
    }
    /**
     * @param enteredBy the enteredBy to set
     */
    public void setEnteredBy(ProviderV4 enteredBy) {
        this.enteredBy = enteredBy;
    }
    /**
     * @return the modifiers
     */
    public List<VitalsResultModifierV4> getModifiers() {
        return modifiers;
    }
    /**
     * @param modifiers the modifiers to set
     */
    public void setModifiers(List<VitalsResultModifierV4> modifiers) {
        this.modifiers = modifiers;
    }
    /**
     * @return the performedDate
     */
    public DateRangeV4 getPerformedDate() {
        return performedDate;
    }
    /**
     * @param performedDate the performedDate to set
     */
    public void setPerformedDate(DateRangeV4 performedDate) {
        this.performedDate = performedDate;
    }
    /**
     * @return the performingProvider
     */
    public List<ProviderV4> getPerformingProvider() {
        return performingProvider;
    }
    /**
     * @param performingProvider the performingProvider to set
     */
    public void setPerformingProvider(List<ProviderV4> performingProvider) {
        this.performingProvider = performingProvider;
    }
    /**
     * @return the startTime
     */
    public DateRangeV4 getStartTime() {
        return startTime;
    }
    /**
     * @param startTime the startTime to set
     */
    public void setStartTime(DateRangeV4 startTime) {
        this.startTime = startTime;
    }
    /**
     * @return the test
     */
    public VitalsTestV4 getTest() {
        return test;
    }
    /**
     * @param test the test to set
     */
    public void setTest(VitalsTestV4 test) {
        this.test = test;
    }
    /**
     * @return the uniqueId
     */
    public String getUniqueId() {
        return uniqueId;
    }
    /**
     * @param uniqueId the uniqueId to set
     */
    public void setUniqueId(String uniqueId) {
        this.uniqueId = uniqueId;
    }
}
