package gov.va.med.enterprise.bean;

import gov.va.med.guibeans.GUIExternalID;
import gov.va.med.guibeans.GUIPatient;
import gov.va.med.jmeadows.webservice.Alert;

import java.util.List;

public class ResponseGUIPatientSelect {
    private boolean isSuccess;
    private boolean isVARestricted;     // Restrict VA user access to DoD-only patient information
    private boolean isAllowVAAccess;    // Access to DoD-only patient information
    private String errorMsg;
    private List<GUIExternalID> externalIDs;
    private List<Alert> sensitivePatientAlerts;
    private GUIPatient guiPatient;

    public boolean isSuccess() {
        return isSuccess;
    }

    public void setSuccess(boolean success) {
        isSuccess = success;
    }

    public boolean isVARestricted() {
        return isVARestricted;
    }

    public void setVARestricted(boolean VARestricted) {
        isVARestricted = VARestricted;
    }

    public boolean isAllowVAAccess() {
        return isAllowVAAccess;
    }

    public void setAllowVAAccess(boolean allowVAAccess) {
        isAllowVAAccess = allowVAAccess;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public GUIPatient getGUIPatient() {
        return guiPatient;
    }

    public void setGUIPatient(GUIPatient guiPatient) {
        this.guiPatient = guiPatient;
    }

    public List<GUIExternalID> getExternalIDs() {
        return externalIDs;
    }

    public void setExternalIDs(List<GUIExternalID> externalIDs) {
        this.externalIDs = externalIDs;
    }

    public List<Alert> getSensitivePatientAlerts() {
        return sensitivePatientAlerts;
    }

    public void setSensitivePatientAlerts(List<Alert> sensitivePatientAlerts) {
        this.sensitivePatientAlerts = sensitivePatientAlerts;
    }
}
