//Detect IE5.5+
version=0
if (navigator.appVersion.indexOf("MSIE")!=-1){
	temp=navigator.appVersion.split("MSIE")
	version=parseFloat(temp[1])
}



function initMenuToggles() {
	toggler();
	if (version>=5.5) //NON IE browser will return 0
		{
		arbitraryHoverHandlers();
		}
}

//toggler - by dreamlettes.net, modified by REDACTED
var allHandlers=null;
var allTogglers=null;
var allShowAlls=null;
var allHideAlls=null;
var allExpandables=null;
var allCollapsables=null;

function tgClasses() {
	var ael;
	if(document.all)ael=document.all;
	else if(document.getElementsByTagName && !document.all)ael=document.getElementsByTagName("*");
	allHandlers = new Array();
	allTogglers = new Array();
	allShowAlls = new Array();
	allHideAlls = new Array();
	allExpandables = new Array();
	allCollapsables = new Array();
	for(i=0;i<ael.length;i++) {
		switch (ael[i].className) {
			case "handler":{
				allHandlers[allHandlers.length]=ael[i];
				break;
			}
			case "toggle":{
				allTogglers[allTogglers.length]=ael[i];
				break;
			}
			case "showall":{
				allShowAlls[allShowAlls.length]=ael[i];
				break;
			}
			case "hideall":{
				allHideAlls[allHideAlls.length]=ael[i];
				break;
			}
			case "node":{
				allExpandables[allExpandables.length]=ael[i];
				break;
			}
			case "node-down":{
				allCollapsables[allCollapsables.length]=ael[i];
				break;
			}
			default: {
			}
		}
	}
}

function toggler() {
	tgClasses();
	for (var i = 0; i < allShowAlls.length; i++) allShowAlls[i].onclick = function() {showall()};
	for (var i = 0; i < allHideAlls.length; i++) allHideAlls[i].onclick = function() {hideall()};
	for (var i = 0; i < allHandlers.length; i++) { allHandlers[i].someProperty = i; allHandlers[i].onclick = function() {toggle(this)}; }
	for (var i = 0; i < allTogglers.length; i++) allTogglers[i].style.display = 'none';
	for (var i=0;i<allExpandables.length;i++) allExpandables[i].style.display = '';
	for (var i=0;i<allCollapsables.length;i++) allCollapsables[i].style.display = 'none';
}

function toggle(el) {
	var i= el.someProperty;
	var t=allTogglers[i];
	var im=allExpandables[i];
	var imDown=allCollapsables[i];
	if (t.style.display == 'none') {
		t.style.display = '';
		el.className = 'handler_down';
		im.style.display = 'none';
		imDown.style.display = '';
	}
	else {
		t.style.display = 'none';
		el.className = 'handler';
		im.style.display = '';
		imDown.style.display = 'none';
	}
	if (null==t.id) return;
	var aLink=document.getElementById("link_"+t.id);
	if (null==aLink) return;
	aLink.id=null;
	ajax.callPage(aLink.href,treeTocAjaxCallback);
} 

function showall() {
	for (var i=0;i<allHandlers.length;i++)  allHandlers[i].className = 'handler_down';
	for (var i=0;i<allTogglers.length;i++)  allTogglers[i].style.display = '';
	for (var i=0;i<allExpandables.length;i++)  allExpandables[i].style.display = 'none';
	for (var i=0;i<allCollapsables.length;i++)  allCollapsables[i].style.display = '';
}

function hideall() {
	for (var i=0;i<allHandlers.length;i++)  allHandlers[i].className = 'handler';
	for (var i=0;i<allTogglers.length;i++)  allTogglers[i].style.display = 'none';
	for (var i=0;i<allExpandables.length;i++)  allExpandables[i].style.display = '';
	for (var i=0;i<allCollapsables.length;i++)  allCollapsables[i].style.display = 'none';
}	


function arbitraryHoverHandlers(){
	// thanks Boki #javascript for clueing me into the wildcard
	// you can also replace the * with any specific element if you do not want to hover
	// everything
	if (document.body.getElementsByTagName)
	{
		bodyElements = document.body.getElementsByTagName("A" );
	}
	for(i = 0; i < bodyElements.length; i++)
	{
		if (bodyElements[i].href == '#offsetParent' && bodyElements[i].className == 'handler' ) 
		{
			addEventHandler(bodyElements[i], "mouseover", eventHover);
			addEventHandler(bodyElements[i], "mouseout", eventUnHover);
		}
	}
}

function getElementFromEvent(event) {
	if (event.srcElement)
		return event.srcElement;
	if (event.currentTarget)
		return event.currentTarget;
	return null;
}

//	generic event add method
//	element,  [string],  [function name]
function addEventHandler(element, eventName, functionName){
	if (element.attachEvent)
		element.attachEvent('on' + eventName, functionName);
	if (element.addEventListener)
		element.addEventListener(eventName, functionName, false);
}

/* this method is called onmouseover */
function eventHover(event){
	// get the element which initiated this event call
	element = getElementFromEvent(event);
	// do not change the className, but rather append another
	element.style.backgroundColor = '#CBD6DA';
}

/* this method is called onmouseout */
function eventUnHover(event){
	// get the element which initiated this event call
	element = getElementFromEvent(event);
	element.style.backgroundColor = '#FFF';
}

function onQuit(event, window) {
	if (null==event) {
		return;
	}
	if (window.event.clientY<-99) {
		var button = document.getElementById("btnQuit");
		if (null!=button) {
			button.click();
		}
		var msg = "Our apologies for this message.  It is forced on us by Microsoft.  It doesn't matter which choice " +
			"you make, VistAWeb will exit.";
		window.event.returnValue = msg;
	}
}

function getWindowInnerH(){
	var innerH = null;
	if (typeof(window.innerHeight) == "number"){
		//MOZILLA, OPERA
		innerH = window.innerHeight;
	} else if (typeof(document.documentElement.clientHeight) == "number"){
		//IE 6+
		innerH = document.body.clientHeight;
	}
	return innerH;
}
