/*
 * Janus 4.0 (c)
 * Copyright (c) 2013 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.vds.common;

public class CacheHandlerException extends RuntimeException {
    /**
     * Class UID.
     */
    private static final long serialVersionUID = -5269389860789900920L;

    public CacheHandlerException(Exception except) {
        super(except);
    }

    public CacheHandlerException(String message) {
        super(message);
    }
}