package gov.va.med.vds.das.beans;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;


@JsonIgnoreProperties(ignoreUnknown = true)
public class Patient extends Resource{
    @JsonProperty("id")
    private String id;
    @JsonProperty("identifier")
    private List<SystemValue> identifier;
    @JsonProperty("name")
    private List<HumanName> name;
    @JsonProperty("telecom")
    private List<Telecom> telecom;
    @JsonProperty("gender")
    private String gender;
    @JsonProperty("birthDate")
    private String birthDate;
    @JsonProperty("address")
    private List<Address>address;
    @JsonProperty("maritalStatus")
    private CodedObject maritalStatus;
    @JsonProperty("extension")
    private List<Extension> extension;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public List<SystemValue> getIdentifier() {
        return identifier;
    }

    public void setIdentifier(List<SystemValue> identifier) {
        this.identifier = identifier;
    }


    public List<HumanName> getName() {
        return name;
    }

    public void setName(List<HumanName> name) {
        this.name = name;
    }

    public List<Telecom> getTelecom() {
        return telecom;
    }

    public void setTelecom(List<Telecom> telecom) {
        this.telecom = telecom;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getBirthDate() {
        return birthDate;
    }

    public void setBirthDate(String birthDate) {
        this.birthDate = birthDate;
    }

    public List<Address> getAddress() {
        return address;
    }

    public void setAddress(List<Address> address) {
        this.address = address;
    }

    public CodedObject getMaritalStatus() {
        return maritalStatus;
    }

    public void setMaritalStatus(CodedObject maritalStatus) {
        this.maritalStatus = maritalStatus;
    }

    public List<Extension> getExtension() {
        return extension;
    }

    public void setExtension(List<Extension> extension) {
        this.extension = extension;
    }
}
