package gov.va.med.vds.das.beans;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

import java.util.Date;

/**
 * Created by melcolm on 1/27/17.
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class TimePoint {
    @JsonDeserialize(using = DateDeserializer.class)
    @JsonProperty("date")
    private Date date;
    @JsonProperty("precision")
    private String precision;

    public Date getDate() {
        if(date == null){
            return null;
        } else {
            return new Date(date.getTime());
        }
    }

    public void setDate(Date date) {
        if(date == null) {
            this.date = null;
        } else {
            this.date =  new Date(date.getTime());
        }
    }

    public String getPrecision() {
        return precision;
    }

    public void setPrecision(String precision) {
        this.precision = precision;
    }
}
