package gov.va.med.vds.vistabeans.vix;

import com.fasterxml.jackson.annotation.JsonProperty;

public class StudyQueryStudy {
    @JsonProperty("contextId")
    private String contextId;
    @JsonProperty("groupIEN")
    private String groupIen;
    @JsonProperty("externalContextId")
    private String externalContextId;
    @JsonProperty("patientICN")
    private String patientIcn;
    @JsonProperty("siteNumber")
    private String siteNumber;
    @JsonProperty("detailsUrl")
    private String detailsUrl;
    @JsonProperty("viewerUrl")
    private String viewerUrl;
    @JsonProperty("thumbnailUrl")
    private String thumbnailUrl;
    @JsonProperty("statusCode")
    private String statusCode;
    @JsonProperty("status")
    private String status;
    @JsonProperty("imageCount")
    private Integer imageCount;
    @JsonProperty("studyDescription")
    private String studyDescription;
    @JsonProperty("studyDate")
    private String studyDate;
    @JsonProperty("acquisitionDate")
    private String acquisitionDate;
    @JsonProperty("studyId")
    private String studyId;
    @JsonProperty("siteName")
    private String siteName;
    @JsonProperty("event")
    private String event;
    @JsonProperty("package")
    private String vixPackage;
    @JsonProperty("type")
    private String type;
    @JsonProperty("origin")
    private String origin;
    @JsonProperty("studyType")
    private String studyType;
    @JsonProperty("procedureDescription")
    private String procedureDescription;
    @JsonProperty("specialtyDescription")
    private String specialtyDescription;
    @JsonProperty("studyClass")
    private String studyClass;
    @JsonProperty("isSensitive")
    private Boolean sensitive;
    private StudyDetail studyDetail;

    public String getContextId() {
        return contextId;
    }

    public void setContextId(String contextId) {
        this.contextId = contextId;
    }

    public String getGroupIen() {
        return groupIen;
    }

    public void setGroupIen(String groupIen) {
        this.groupIen = groupIen;
    }

    public String getExternalContextId() {
        return externalContextId;
    }

    public void setExternalContextId(String externalContextId) {
        this.externalContextId = externalContextId;
    }

    public String getPatientIcn() {
        return patientIcn;
    }

    public void setPatientIcn(String patientIcn) {
        this.patientIcn = patientIcn;
    }

    public String getSiteNumber() {
        return siteNumber;
    }

    public void setSiteNumber(String siteNumber) {
        this.siteNumber = siteNumber;
    }

    public String getDetailsUrl() {
        return detailsUrl;
    }

    public void setDetailsUrl(String detailsUrl) {
        this.detailsUrl = detailsUrl;
    }

    public String getViewerUrl() {
        return viewerUrl;
    }

    public void setViewerUrl(String viewerUrl) {
        this.viewerUrl = viewerUrl;
    }

    public String getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(String statusCode) {
        this.statusCode = statusCode;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public StudyDetail getStudyDetail() {
        return studyDetail;
    }

    public void setStudyDetail(StudyDetail studyDetail) {
        this.studyDetail = studyDetail;
    }

    public String getThumbnailUrl() {
        return thumbnailUrl;
    }

    public void setThumbnailUrl(String thumbnailUrl) {
        this.thumbnailUrl = thumbnailUrl;
    }

    public void setImageCount(Integer imageCount) {
        this.imageCount = imageCount;
    }

    public String getStudyDescription() {
        return studyDescription;
    }

    public void setStudyDescription(String studyDescription) {
        this.studyDescription = studyDescription;
    }

    public String getStudyDate() {
        return studyDate;
    }

    public void setStudyDate(String studyDate) {
        this.studyDate = studyDate;
    }

    public String getAcquisitionDate() {
        return acquisitionDate;
    }

    public void setAcquisitionDate(String acquisitionDate) {
        this.acquisitionDate = acquisitionDate;
    }

    public String getStudyId() {
        return studyId;
    }

    public void setStudyId(String studyId) {
        this.studyId = studyId;
    }

    public String getSiteName() {
        return siteName;
    }

    public void setSiteName(String siteName) {
        this.siteName = siteName;
    }

    public String getEvent() {
        return event;
    }

    public void setEvent(String event) {
        this.event = event;
    }

    public String getVixPackage() {
        return vixPackage;
    }

    public void setVixPackage(String vixPackage) {
        this.vixPackage = vixPackage;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getOrigin() {
        return origin;
    }

    public void setOrigin(String origin) {
        this.origin = origin;
    }

    public String getStudyType() {
        return studyType;
    }

    public void setStudyType(String studyType) {
        this.studyType = studyType;
    }

    public String getProcedureDescription() {
        return procedureDescription;
    }

    public void setProcedureDescription(String procedureDescription) {
        this.procedureDescription = procedureDescription;
    }

    public String getSpecialtyDescription() {
        return specialtyDescription;
    }

    public void setSpecialtyDescription(String specialtyDescription) {
        this.specialtyDescription = specialtyDescription;
    }

    public String getStudyClass() {
        return studyClass;
    }

    public void setStudyClass(String studyClass) {
        this.studyClass = studyClass;
    }

    public Boolean isSensitive() {
        return sensitive;
    }

    public void setSensitive(Boolean sensitive) {
        this.sensitive = sensitive;
    }

}