package gov.va.med.des.beans;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

/**
 * Created by melcolm on 7/5/16.
 */
public class SystemData {
    @JsonProperty("cpu_percent")
    private float cpuPercent;
    @JsonProperty("hostname")
    private String hostname;
    @JsonProperty("memory_used_bytes")
    private long usedBytes;
    @JsonProperty("memory_total_bytes")
    private long totalBytes;
    @JsonProperty("memory_free_bytes")
    private long freeBytes;
    @JsonProperty("used_disk")
    private List<DiskData> usedDisk;

    public float getCpuPercent() {
        return cpuPercent;
    }

    public void setCpuPercent(float cpuPercent) {
        this.cpuPercent = cpuPercent;
    }

    public String getHostname() {
        return hostname;
    }

    public void setHostname(String hostname) {
        this.hostname = hostname;
    }

    public long getUsedBytes() {
        return usedBytes;
    }

    public void setUsedBytes(long usedBytes) {
        this.usedBytes = usedBytes;
    }

    public long getTotalBytes() {
        return totalBytes;
    }

    public void setTotalBytes(long totalBytes) {
        this.totalBytes = totalBytes;
    }

    public long getFreeBytes() {
        return freeBytes;
    }

    public void setFreeBytes(long freeBytes) {
        this.freeBytes = freeBytes;
    }

    public List<DiskData> getUsedDisk() {
        return usedDisk;
    }

    public void setUsedDisk(List<DiskData> usedDisk) {
        this.usedDisk = usedDisk;
    }
}
