/*
 * Janus 4.0 (c)
 * Copyright (c) 2015 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.jmeadows.dao.beans;

import gov.va.med.vds.webservice.*;

public class PatientDocument extends ProgressNote {
    /**
     * Class UID.
     */
    private static final long serialVersionUID = 1343978038522416275L;
    
    private ProgressNote progressNote;
    private Encounter outpatientEncounter;
    private Consult consult;
    private ProgressNote dischargeSummary;
    private Form form;
    private RadiologyReport radiologyReport;
    private ProgressNote haimsDocument;
    private String documentType;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public ProgressNote getProgressNote() {
        return progressNote;
    }

    public void setProgressNote(ProgressNote progressNote) {
        this.progressNote = progressNote;
    }

    public Encounter getOutpatientEncounter() {
        return outpatientEncounter;
    }

    public void setOutpatientEncounter(Encounter outpatientEncounter) {
        this.outpatientEncounter = outpatientEncounter;
    }

    public Consult getConsult() {
        return consult;
    }

    public void setConsult(Consult consult) {
        this.consult = consult;
    }

    public ProgressNote getDischargeSummary() {
        return dischargeSummary;
    }

    public void setDischargeSummary(ProgressNote dischargeSummary) {
        this.dischargeSummary = dischargeSummary;
    }

    public Form getForm() {
        return form;
    }

    public void setForm(Form form) {
        this.form = form;
    }

    public RadiologyReport getRadiologyReport() {
        return radiologyReport;
    }

    public void setRadiologyReport(RadiologyReport radiologyReport) {
        this.radiologyReport = radiologyReport;
    }

    public ProgressNote getHaimsDocument() {
        return haimsDocument;
    }

    public void setHaimsDocument(ProgressNote haimsDocument) {
        this.haimsDocument = haimsDocument;
    }

    public String getDocumentType() {
        return documentType;
    }

    public void setDocumentType(String documentType) {
        this.documentType = documentType;
    }
}
