package gov.va.med.jmeadows.smartbeans.patient;

import gov.va.med.jmeadows.dao.beans.PatientHistory;
import gov.va.med.jmeadows.dao.util.Location;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;

public class SmartHistoryTest {
    
    public SmartHistoryTest() {
        super();
    }
 

    /**
     * Test of getUpperCaseCount method, of class SmartHistory.
     */ 
    @Test
    public void testGetUpperCount() {
        System.out.println("getUpperCount");
        String str = "hello world";
        SmartHistory instance = new SmartHistory();
        int expResult = 0;
        int result = instance.getUpperCaseCount(str, 6);
        assertEquals(expResult, result);

        str = "HELLO WORLD";
        expResult = 6;
        result = instance.getUpperCaseCount(str, 6);
        assertEquals(expResult, result);

        str = "HELLO";
        expResult = 5;
        result = instance.getUpperCaseCount(str, 6);
        assertEquals(expResult, result);

        str = null;
        expResult = 0;
        result = instance.getUpperCaseCount(str, 6);
        assertEquals(expResult, result);

    }
    
}
